Package tigase.xmpp.mam

# Class ExtendedQueryImpl

java.lang.Object
tigase.xmpp.mam.QueryImpl
tigase.xmpp.mam.ExtendedQueryImpl

All Implemented Interfaces:
  `ExtendedQuery`, `Query`

public class ExtendedQueryImpl extends QueryImpl implements ExtendedQuery

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExtendedQueryImpl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAfterId()`
  `String`
  `getBeforeId()`
  `Collection<String>`
  `getIds()`
  `void`
  `setAfterId(String id)`
  `void`
  `setBeforeId(String id)`
  `void`
  `setIds(Collection<String> ids)`
  `String`
  `toString()`

  ### Methods inherited from class tigase.xmpp.mam.QueryImpl

  `getComponentJID, getEnd, getId, getQuestionerJID, getRsm, getStart, getWith, getXMLNS, setComponentJID, setEnd, setId, setQuestionerJID, setStart, setWith, setXmlns, setXMLNS`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface tigase.xmpp.mam.Query

  `getComponentJID, getEnd, getId, getQuestionerJID, getRsm, getStart, getWith, getXMLNS, setComponentJID, setEnd, setId, setQuestionerJID, setStart, setWith, setXMLNS`

- ## Constructor Details

  - ### ExtendedQueryImpl

    public ExtendedQueryImpl()

- ## Method Details

  - ### getBeforeId

    public String getBeforeId()
    Specified by:
      `getBeforeId` in interface `ExtendedQuery`

  - ### setBeforeId

    public void setBeforeId(String id)
    Specified by:
      `setBeforeId` in interface `ExtendedQuery`

  - ### getAfterId

    public String getAfterId()
    Specified by:
      `getAfterId` in interface `ExtendedQuery`

  - ### setAfterId

    public void setAfterId(String id)
    Specified by:
      `setAfterId` in interface `ExtendedQuery`

  - ### getIds

    public Collection<String> getIds()
    Specified by:
      `getIds` in interface `ExtendedQuery`

  - ### setIds

    public void setIds(Collection<String> ids)
    Specified by:
      `setIds` in interface `ExtendedQuery`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `QueryImpl`